aboutsummaryrefslogtreecommitdiffhomepage
path: root/platform_tools
diff options
context:
space:
mode:
authorGravatar commit-bot@chromium.org <commit-bot@chromium.org@2bbb7eff-a529-9590-31e7-b0007b416f81>2014-03-25 15:37:36 +0000
committerGravatar commit-bot@chromium.org <commit-bot@chromium.org@2bbb7eff-a529-9590-31e7-b0007b416f81>2014-03-25 15:37:36 +0000
commitb0a6578c7f3185d4b903ec09de118411618a7e2d (patch)
treeddbf05c4fe22d66174c0442dcd69edf9f34425a3 /platform_tools
parent2a05de0c049a8648942a55016126a1f92e1c14d6 (diff)
platform_tools/barelinux/bin/arm64_make script
Motivation: an upcoming CL will change the Gyp variables. That CL can change this script and the deps roll bot will pick up those changes. NOTRY=true R=borenet@google.com, djsollen@google.com Author: halcanary@google.com Review URL: https://codereview.chromium.org/211133002 git-svn-id: http://skia.googlecode.com/svn/trunk@13937 2bbb7eff-a529-9590-31e7-b0007b416f81
Diffstat (limited to 'platform_tools')
-rwxr-xr-xplatform_tools/barelinux/bin/arm64_make57
1 files changed, 57 insertions, 0 deletions
diff --git a/platform_tools/barelinux/bin/arm64_make b/platform_tools/barelinux/bin/arm64_make
new file mode 100755
index 0000000000..587181e927
--- /dev/null
+++ b/platform_tools/barelinux/bin/arm64_make
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Copyright 2014 Google Inc.
+#
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+usage() {
+ cat >&2 <<EOF
+arm64_make - this script builds a ARMv7 Aarch64 version of skia that
+does not depend on external libraries, perfect for putting in an
+embedded system running Linux.
+
+Assumes that you have already run the download_deps script.
+
+Usage:
+ $0 \\
+ [-o SKIA_OUT_DIR] [-c CC_EXE] [-x CXX_EXE] \\
+ [-t Debug | Release | Coverage | Release_Developer] \\
+
+Example use:
+ $0 \\
+ -o ~/build/skia/arg64gcc \\
+ -c ~/local/arm64/bin/aarch64-linux-gnu-gcc \\
+ -x ~/local/arm64/bin/aarch64-linux-gnu-g++ \\
+EOF
+ return 1
+}
+
+# BUILD_TYPE should be one of:
+# Coverage, Debug, Release, or Release_Developer
+BUILD_TYPE='Debug'
+
+while getopts ":c:x:o:t:h" opt ; do
+ case $opt in
+ c) export CC="$OPTARG" ;;
+ x) export CXX="$OPTARG" ;;
+ o) export SKIA_OUT="$OPTARG";;
+ t) BUILD_TYPE="$OPTARG";;
+ h) usage || exit;;
+ ?) echo "unknown option '$OPTARG'" >&2;
+ usage || exit;;
+ esac
+done
+
+export GYP_DEFINES="${GYP_DEFINES} \
+ skia_gpu=0 \
+ skia_arch_type=arm \
+ skia_arch_width=64 \
+ armv7=1 \
+ armv8=1 \
+ arm_neon=0 \
+ arm_thumb=0 \
+ "
+
+"$(dirname "$0")/barelinux_make" -t "$BUILD_TYPE"
+